Uptimeify Docs

IMAP/POP Monitor abrufen

Gibt Details zu einem IMAP/POP Monitor zurück.

GET /api/imap-pop-monitors/:imapPopMonitorPublicId

Authentifizierung

Erfordert eine gültige Session.

  • Header: Authorization: Bearer <token>

Parameter

  • imapPopMonitorPublicId (Pfad, erforderlich): Öffentliche UUID des IMAP/POP Monitors.

cURL

curl -X GET "https://YOUR_DOMAIN/api/imap-pop-monitors/66666666-6666-4666-8666-666666666666" \
  -H "Authorization: Bearer $TOKEN"

Response

{
  "id": 500,
  "organizationId": 1,
  "customerId": 10,
  "name": "Mailbox Access",
  "hostname": "mail.example.com",
  "port": 993,
  "checkInterval": 30,
  "timeoutSeconds": 30,
  "config": {
    "protocol": "imap",
    "user": "monitor@example.com",
    "password": "password",
    "tls": true
  },
  "allowedCheckCountryCodes": null,
  "status": "active",
  "notificationPhoneNumber": null,
  "notificationEmail": null,
  "lastCheckedAt": null,
  "createdAt": "2026-02-26T12:00:00.000Z",
  "updatedAt": "2026-02-26T12:00:00.000Z",
  "customer": {
    "id": 10,
    "organizationId": 1,
    "name": "Example Customer",
    "email": "ops@example.com",
    "allowedCheckCountryCodes": null,
    "customFields": null,
    "alertLocationThresholdCount": 1,
    "createdAt": "2026-02-01T12:00:00.000Z",
    "updatedAt": "2026-02-01T12:00:00.000Z"
  },
  "imapPopConfig": {
    "protocol": "imap",
    "user": "monitor@example.com",
    "password": "password",
    "tls": true
  }
}

Errors

  • 400 IMAP/POP Monitor Public ID (UUID) erforderlich
  • 401 Unauthorized
  • 403 Forbidden
  • 404 IMAP/POP monitor not found

Auf dieser Seite